Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.exceptions
Class ViewerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
                  es.inteco.xbrl.lenlocpenloc.errors.exceptions.ViewerException

All Implemented Interfaces:
  java.io.Serializable

    public class ViewerException

extends XBRLENLOCException

Clase utilizada para notificar los errores encontrado durante el proceso de visualización.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `errorCreatingViewer`
`static java.lang.String` | `errorLoadingInputFile`
`static java.lang.String` | `errorModuleNotExist`
`static java.lang.String` | `errorNoDataInModule`
`static java.lang.String` | `fileIsEmpty`

Fields inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`canNotResolveSchemaRef, errorContextWithoutDimensionContainer, errorContextWithoutScenario, errorCreatingTempFile, errorGettingFile, errorGettingNS, errorGettingReportID, errorGettingSchema, errorInicializingProcessor, errorInXSLTTransformation, errorNormalizeSchema, errorParamsTransformation, errorResolvingConfigPaths, errorSavingFileToByteArray, errorTryingViewInstance, errorTryingViewInstanceExternal, errorTryingViewInstanceResultFile, genericErrorValidatingInstance, notExistTempDirectory`

Constructor Summary
`ViewerException(java.lang.String message, GenericErrorsHandler errorsHandler)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.
`ViewerException(java.lang.String message, java.lang.String[] parameters)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error sin indicar la causa del error.
`ViewerException(java.lang.String message, java.lang.String[] parameters, GenericErrorsHandler errorsHandler)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`ViewerException(java.lang.String message, java.lang.String[] parameters, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`ViewerException(java.lang.String message, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

Method Summary

Methods inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`getCodeError, getErrorsHandler, getMessage, setCodeError, setErrorsHandler`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCreatingViewer

    public static java.lang.String errorCreatingViewer

### errorModuleNotExist

    public static java.lang.String errorModuleNotExist

### fileIsEmpty

    public static java.lang.String fileIsEmpty

### errorNoDataInModule

    public static java.lang.String errorNoDataInModule

### errorLoadingInputFile

    public static java.lang.String errorLoadingInputFile

Constructor Detail

### ViewerException

    public ViewerException(java.lang.String message,
                           java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al código del mensaje
    `cause` - mensaje de la excepción original

### ViewerException

    public ViewerException(java.lang.String message,
                           java.lang.String[] parameters,
                           java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `message` - constante correspondiente al código del mensaje
    `parameters` - parámetros para completar el mensaje
    `cause` - mensaje de la excepción original

### ViewerException

    public ViewerException(java.lang.String message,
                           java.lang.String[] parameters)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error sin indicar la causa del error.

  Parameters:
    `message` - constante correspondiente al código del mensaje
    `parameters` - parámetros para completar el mensaje

### ViewerException

    public ViewerException(java.lang.String message,
                           GenericErrorsHandler errorsHandler)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas.

  Parameters:
    `message` - constante correspondiente al código del mensaje
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.

### ViewerException

    public ViewerException(java.lang.String message,
                           java.lang.String[] parameters,
                           GenericErrorsHandler errorsHandler)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `message` - constante correspondiente al código del mensaje
    `parameters` - parámetros para completar el mensaje
    `errorsHandler` - contiene los errores propagados hasta llegar a esta excepción.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD